"""back_latienda URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings

from rest_framework_simplejwt.views import TokenObtainPairView, TokenRefreshView, TokenVerifyView

from core import views as core_views
from products import views as product_views
from companies import views as company_views
from .routers import router


urlpatterns = [
    path('admin/', admin.site.urls),
    path('activate/<uidb64>/<token>/',core_views.activate_user, name='activate_user'),
    path('api/v1/token/', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('api/v1/token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('api/v1/token/verify/', TokenVerifyView.as_view(), name='token_verify'),
    path('api/v1/user/change_password/<int:pk>/', core_views.ChangeUserPasswordView.as_view(), name="change-password"),
    path('api/v1/load_coops/', core_views.load_coop_managers, name='coop-loader'),
    path('api/v1/load_products/', product_views.load_coop_products, name='product-loader'),
    path('api/v1/search_products/', product_views.product_search, name='product-search'),
    path('api/v1/create_company_user/', core_views.create_company_user, name='create-company-user'),
    path('api/v1/my_user/', core_views.my_user, name='my-user'),
    path('api/v1/my_company/', company_views.my_company , name='my-company'),
    path('api/v1/my_products/', product_views.my_products, name='my-products'),
    path('api/v1/', include(router.urls)),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
